﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.Banking
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("AbilityToCreateBagWithComment")]
    [NUnit.Framework.CategoryAttribute("AbilityToCreateBagWithComment")]
    public partial class AbilityToCreateBagWithCommentFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "AbilityToCreateBagWithComment.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "AbilityToCreateBagWithComment", "", ProgrammingLanguage.CSharp, new string[] {
                        "AbilityToCreateBagWithComment"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Cashier Report Shows Pickup Comment")]
        public virtual void CashierReportShowsPickupComment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Cashier Report Shows Pickup Comment", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 12
testRunner.When("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 13
testRunner.Then("Pickup Bag in Database with Seal Number \'33333331\' has comment value \'Pickup One\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 14
testRunner.And("In Cashier Report Pickup Bag with Seal Number \'33333331\' displays Comment \'Pickup" +
                    " One\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Create Cash Drop With Comment")]
        public virtual void CreateCashDropWithComment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Create Cash Drop With Comment", ((string[])(null)));
#line 16
this.ScenarioSetup(scenarioInfo);
#line 17
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 18
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 19
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 22
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 23
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 28
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 29
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 30
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 33
testRunner.When("Cash Drop of 5600 pounds is done under Seal Number \'92738463\' with comment \'I don" +
                    "e dropped my cash\' by the Cashier \'Bill Smith\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 34
testRunner.Then("There are comments \'Pickup Two\' and \'I done dropped my cash\' in Database for the " +
                    "Cashier \'Bill Smith\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Create PickUp With Comment")]
        public virtual void CreatePickUpWithComment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Create PickUp With Comment", ((string[])(null)));
#line 36
this.ScenarioSetup(scenarioInfo);
#line 37
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 38
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 40
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 44
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 47
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
testRunner.When("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 51
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 52
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 53
testRunner.Then("Pickup Bag in Database with Seal Number \'33333331\' has comment value \'Pickup One\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 54
testRunner.And("Pickup Bag in Database with Seal Number \'33333332\' has comment value \'Pickup Two\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
testRunner.And("Pickup Bag in Database with Seal Number \'33333333\' has comment value \'Pickup Thre" +
                    "e\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Recheck Float with Comment")]
        public virtual void RecheckFloatWithComment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Recheck Float with Comment", ((string[])(null)));
#line 57
this.ScenarioSetup(scenarioInfo);
#line 58
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 59
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 65
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 66
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 67
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 68
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
testRunner.When("Float under Seal Number \'11111111\' is rechecked with comment \'Comment recheck A\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 75
testRunner.And("Float under Seal Number \'11111112\' is rechecked with comment \'Comment recheck B\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
testRunner.And("Float under Seal Number \'11111113\' is rechecked with comment \'Comment recheck C\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
testRunner.Then("Float Bag in Database with Seal Number \'11111111\' has comment value \'Comment rech" +
                    "eck A\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 78
testRunner.And("Float Bag in Database with Seal Number \'11111112\' has comment value \'Comment rech" +
                    "eck B\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
testRunner.And("Float Bag in Database with Seal Number \'11111113\' has comment value \'Comment rech" +
                    "eck C\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Recheck PickUp with Comment")]
        public virtual void RecheckPickUpWithComment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Recheck PickUp with Comment", ((string[])(null)));
#line 81
this.ScenarioSetup(scenarioInfo);
#line 82
testRunner.Given("Logged User was \'Stephen Holyoak\' and Authoriser was \'Amy Murphy\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 83
testRunner.And("Banking Day was today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
testRunner.And("Initial Safe was 10000 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 85
testRunner.And("There was 9500 pounds in Main Safe and 500 pounds in Change Safe", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
testRunner.And("Float of 95 pounds was taken from Safe under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 87
testRunner.And("Float of 100 pounds was taken from Safe under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
testRunner.And("Float of 105 pounds was taken from Safe under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
testRunner.And("The float was assigned to cashier \'Fred Bloggs\' under Seal Number \'11111111\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 90
testRunner.And("The float was assigned to cashier \'Bill Smith\' under Seal Number \'11111112\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 91
testRunner.And("The float was assigned to cashier \'George Hunt\' under Seal Number \'11111113\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 92
testRunner.And("The cashier \'Fred Bloggs\' made sales with total cost of 1600 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 93
testRunner.And("The cashier \'Bill Smith\' made sales with total cost of 1050 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 94
testRunner.And("The cashier \'George Hunt\' made sales with total cost of 250 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 95
testRunner.And("The cashier \'Fred Bloggs\' makes a 1600 pounds pickup under Seal Number \'33333331\'" +
                    " from a Float under Seal Number \'22222221\' with comment \'Pickup One\' with value " +
                    "95", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
testRunner.And("The cashier \'Bill Smith\' makes a 1050 pounds pickup under Seal Number \'33333332\' " +
                    "from a Float under Seal Number \'22222222\' with comment \'Pickup Two\' with value 1" +
                    "00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
testRunner.And("The cashier \'George Hunt\' makes a 250 pounds pickup under Seal Number \'33333333\' " +
                    "from a Float under Seal Number \'22222223\' with comment \'Pickup Three\' with value" +
                    " 105", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 98
testRunner.When("PickUp under Seal Number \'33333331\' is rechecked with comment \'Comment recheck A\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 99
testRunner.And("PickUp under Seal Number \'33333332\' is rechecked with comment \'Comment recheck B\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
testRunner.And("PickUp under Seal Number \'33333333\' is rechecked with comment \'Comment recheck C\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
testRunner.Then("Pickup Bag in Database with Seal Number \'33333331\' has comment value \'Comment rec" +
                    "heck A\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 102
testRunner.And("Pickup Bag in Database with Seal Number \'33333332\' has comment value \'Comment rec" +
                    "heck B\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
testRunner.And("Pickup Bag in Database with Seal Number \'33333333\' has comment value \'Comment rec" +
                    "heck C\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
